zabbix3.4源码安装步骤【上海时时乐走势图】

cd /app/weblogic/software/zabbix_setup/php-5.6.33
./configure
--prefix=/app/weblogic/software/php-5.6.33
--with-mysql
--with-mysqli=mysqlnd
--with-pdo-mysql=mysqlnd
--with-iconv-dir=/app/weblogic/software/php-5.6.33/libiconv
--with-freetype-dir
--with-jpeg-dir
--with-png-dir
--with-zlib
--with-libxml-dir=/usr
--with-gettext
--enable-xml
--disable-rpath
--enable-bcmath
--enable-shmop
--enable-sysvsem
--enable-inline-optimization
--with-curl
--enable-mbregex
--enable-fpm
--enable-mbstring
--with-gd
--enable-gd-native-ttf
--with-openssl
--enable-pcntl
--enable-sockets
--with-xmlrpc
--enable-soap
--enable-short-tags
--enable-static
--with-xsl
--with-apxs2=/app/weblogic/software/httpd-2.2.23/bin/apxs
--enable-ftp
--enable-opcache=no
make
make install

source /opt/zabbix-3.4.4/database/mysql/data.sql;

2、安装配备apache

#apache官网#新建apache运转客户useradd -s /sbin/nologin -M www
mkdir tools
cd tools
#下载http代码包

wget


#附上aliyun下载地址
wget -c
wget -c
wget -c
#设置插件apr和apr-util
#编写翻译安装apr
tar xf apr-1.5.2.tar.gz
cd apr-1.5.2
./configure --prefix=/usr/local/apr-1.5.2
make && make install
echo $?
ln -s /usr/local/apr-1.5.2/ /usr/local/apr
cd ..
#编写翻译安装apr-util
tar xf apr-util-1.5.4.tar.gz
cd apr-util-1.5.4
./configure --prefix=/usr/local/apr-util-1.5.4 --with-apr=/usr/local/apr-1.5.2/
echo $?
make && make install
echo $?
ln -s /usr/local/apr-util-1.5.4/ /usr/local/apr-util
cd ..
#安装功用包
yum install pcre-devel zlib-devel openssl-devel -y
#安装apache
tar zxvf httpd-2.4.25.tar.gz
cd httpd-2.4.25
./configure --prefix=/usr/local/httpd-2.4.25
> --with-apr=/usr/local/apr-1.5.2
> --with-apr-util=/usr/local/apr-util-1.5.4
> --enable-so --enable-deflate --enable-expires
> --enable-headers --enable-ssl --enable-rewrite
> --enable-mpms-shared=all --with-mpm=prefork
> --enable-mods-shared=most
echo $?

#--prefix= apache安装目录。暗中认可意况下,安装目录设置为 /usr/local/apache2。
#--sysconfdir= 钦定布署文件安装路线
#--with-apr= 假如要接纳已设置的AP普拉多,则必得告诉脚本configure的apr的装置路线
#--with-apr-util 钦点已安装的apr-util的装置路线
#--enable-so 允许运营时加载DSO模块
#--enable-cgi 启用cgi协议
#--with-zlib 启用zlib库文件
#--with-pcre 钦命pcre的设置路线
#--enable-modules=most 启用大比非常多分享模块
#--enable-deflate 压缩传输编码协理
#--enable-expires Expires头控制
#--enable-headers HTTP头控制
#--enable-ssl 运转ssl加密成效,SSL/TLS协助(mod_ssl)
#--enable-rewrite 基于法规的UWranglerL操作,启用U牧马人L重写功用
#--enable-mpms-shared=all 空间分隔的MPM模块列表启用,动态加载
#--with-mpm=prefork 钦命使用的MPM的类型, 选取Apache使用的历程模型(event|worker|prefork|winnt)
#--enable-mods-shared=most 启用MPM大比非常多参数, 定义要启用并营造为动态分享模块的模块列表,暗中认可设置为most(all|most|few|reallyall)
make
make install
ln -s /usr/local/httpd-2.4.25/ /usr/local/httpd
#配备http碰着变量
echo "export PATH=/usr/local/httpd/bin:$PATH" >>/etc/profile
. /etc/profile
#查看http模块
ls /usr/local/httpd/modules
#查阅安装的模块
apachectl -t -D DUMP_MODULES
#修改http配置文件
sed -i 's/#ServerName www.example.com:80/ServerName localhost:80/g' /usr/local/httpd/conf/httpd.conf
#启动apache服务
apachectl start
#查看http服务
netstat -lntup|grep httpd
tcp 0 0 :::80 :::* LISTEN 56389/httpd
#配置运行脚本
cp /usr/local/httpd/bin/apachectl /etc/init.d/httpd
chmod x /etc/init.d/httpd
/etc/init.d/httpd stop
netstat -lntup|grep httpd
/etc/init.d/httpd start
netstat -lntup|grep httpd
vim /etc/init.d/httpd
#在最早地点加多:
# chkconfig: 345 85 15
# description: this my apache is httpd server
#加盟系统运行服务,开机自运维
chkconfig --add httpd
chkconfig httpd on
chkconfig --list httpd
#测量试验访谈平常!到此apache安装完结!
#借鉴的外人的起步脚本

上海时时乐走势图 1上海时时乐走势图 2

cat >>/etc/init.d/httpd<<EOF
#!/bin/bash
#
# httpd Startup script for the Apache HTTP Server
# chkconfig: - 85 15
# description: Apache is a World Wide Web server. It is used to serve 
# HTML files and CGI.
# processname: httpd
# config: /etc/httpd/conf/httpd.conf
# config: /etc/sysconfig/httpd
# pidfile: /var/run/httpd.pid
# Source function library.
. /etc/rc.d/init.d/functions

if [ -f /etc/sysconfig/httpd ]; then
. /etc/sysconfig/httpd
fi

# Start httpd in the C locale by default.
HTTPD_LANG=${HTTPD_LANG-"C"}
# This will prevent initlog from swallowing up a pass-phrase prompt if
# mod_ssl needs a pass-phrase from the user.
INITLOG_ARGS=""
# Set HTTPD=/usr/sbin/httpd.worker in /etc/sysconfig/httpd to use a server
# with the thread-based "worker" MPM; BE WARNED that some modules may not
# work correctly with a thread-based MPM; notably PHP will refuse to start.
# Path to the apachectl script, server binary, and short-form for messages.
apachectl=/usr/local/apache/bin/apachectl
httpd=${HTTPD-/usr/local/apache/bin/httpd}
prog=httpd
pidfile=${PIDFILE-/var/run/httpd.pid}
lockfile=${LOCKFILE-/var/lock/subsys/httpd}
RETVAL=0

start() {
echo -n $"Starting $prog: "
LANG=$HTTPD_LANG daemon --pidfile=${pidfile} $httpd $OPTIONS
RETVAL=$?
echo
[ $RETVAL = 0 ] && touch ${lockfile}
return $RETVAL
}

stop() {
echo -n $"Stopping $prog: "
killproc -p ${pidfile} -d 10 $httpd
RETVAL=$?
echo
[ $RETVAL = 0 ] && rm -f ${lockfile} ${pidfile}
}
reload() {
echo -n $"Reloading $prog: "
if ! LANG=$HTTPD_LANG $httpd $OPTIONS -t >&/dev/null; then
RETVAL=$?
echo $"not reloading due to configuration syntax error"
failure $"not reloading $httpd due to configuration syntax error"
else
killproc -p ${pidfile} $httpd -HUP
RETVAL=$?
fi
echo
}

# See how we were called.
case "$1" in
start)
start
;;
stop)
stop
;;
status)
status -p ${pidfile} $httpd
RETVAL=$?
;;
restart)
stop
start
;;
condrestart)
if [ -f ${pidfile} ] ; then
stop
start
fi
;;
reload)
reload
;;
graceful|help|configtest|fullstatus)
$apachectl $@
RETVAL=$?
;;
*)
echo $"Usage: $prog {start|stop|restart|condrestart|reload|status|fullstatus|graceful|help|configtest}"
exit 1
esac

exit $RETVAL
EOF

View Code

#翻开编译的模块
/usr/local/apache/bin/apachectl -l
/usr/local/apache/bin/apachectl -M

#一键式安装apache

上海时时乐走势图 3上海时时乐走势图 4

useradd -s /sbin/nologin -M www
mkdir ~/tools
cd ~/tools
/bin/ping baidu.com -c 2
[ $? -eq 0 ] && {
wget http://mirrors.tuna.tsinghua.edu.cn/apache//httpd/httpd-2.4.25.tar.gz
wget http://mirrors.cnnic.cn/apache//apr/apr-1.5.2.tar.gz
wget http://mirrors.cnnic.cn/apache//apr/apr-util-1.5.4.tar.gz
} || exit 110
tar xf apr-1.5.2.tar.gz 
cd apr-1.5.2
./configure --prefix=/usr/local/apr-1.5.2
make && make install
echo $?
sleep 2
ln -s /usr/local/apr-1.5.2/ /usr/local/apr
cd ..
#编译安装apr-util
tar xf apr-util-1.5.4.tar.gz 
cd apr-util-1.5.4
./configure --prefix=/usr/local/apr-util-1.5.4 --with-apr=/usr/local/apr-1.5.2/
make && make install
echo $?
sleep 2
ln -s /usr/local/apr-util-1.5.4/ /usr/local/apr-util
cd ..
yum install pcre-devel zlib-devel openssl-devel -y
tar zxvf httpd-2.4.25.tar.gz 
cd httpd-2.4.25
./configure --prefix=/usr/local/httpd-2.4.25 
--with-apr=/usr/local/apr-1.5.2 
--with-apr-util=/usr/local/apr-util-1.5.4 
--enable-so --enable-deflate --enable-expires 
--enable-headers --enable-ssl --enable-rewrite 
--enable-mpms-shared=all --with-mpm=prefork 
--enable-mods-shared=most
echo $?
sleep 2
make
make install
ln -s /usr/local/httpd-2.4.25/ /usr/local/httpd
echo "export PATH=/usr/local/httpd/bin:$PATH" >>/etc/profile
. /etc/profile
sed -i 's/#ServerName www.example.com:80/ServerName localhost:80/g' /usr/local/httpd/conf/httpd.conf
apachectl start
netstat -lntup|grep 80 >/dev/null && echo OK!

View Code

vim httpd.conf 修改配置http援救
AddType application/x-httpd-php .php
AddType application/x-httpd-php-source .php5
<IfModule dir_module>
DirectoryIndex index.html index.php
</IfModule>
4.PHP安裝:
1.安装libiconv-1.14 php依赖
cd /app/weblogic/software/zabbix_setup/libiconv-1.14
./configure --prefix=/app/weblogic/software/php-5.6.33/libiconv
make
make install

sed -i "s/Hostname=Zabbix server/#Hostname=Zabbix server/g" /opt/zabbix_agent/etc/zabbix_agentd.conf

5、zabbix安装配置:

wget

#安装支撑监督snmp包监察和控制调换机等
yum install net-snmp-devel
tar zxvf zabbix-3.0.8.tar.gz
cd zabbix-3.0.8
./configure --prefix=/usr/local/zabbix --enable-server --enable-agent --with-mysql --with-net-snmp --with-libcurl --with-libxml2
make && make install
echo $?

#布署数据库导入数据
mysql>create database zabbix;
mysql>grant all on zabbix.* to 'zabbixuser'@'localhost' identified by '123.com';
Query OK, 0 rows affected, 1 warning (0.00 sec)
mysql> flush privileges;
Query OK, 0 rows affected (0.01 sec)
mysql> use zabbix;
mysql> source /root/tools/zabbix-3.0.8/database/mysql/schema.sql
mysql> source /root/tools/zabbix-3.0.8/database/mysql/images.sql
mysql> source /root/tools/zabbix-3.0.8/database/mysql/data.sql
#开首化sql文件在源码包/root/zabbix-3.0.4/database/mysql目录下
#配置zabbix_server配置文件修改如下:
vim /usr/local/zabbix/etc/zabbix_server.conf
LogFile=/usr/local/zabbix/logs/zabbix_server.log
DBHost=localhsot
DBName=zabbix
DBUser=zabbixuser
DBPassword=123.com #zabbixuser的密码
LogSlowQueries=3000

cp misc/init.d/fedora/core/* /etc/init.d/
chmod x /etc/init.d/zabbix_server
chmod x /etc/init.d/zabbix_agentd
sed -i 's#BASEDIR=/usr/local#BASEDIR=/usr/local/zabbix#g' /etc/init.d/zabbix_agentd
sed -i 's#BASEDIR=/usr/local#BASEDIR=/usr/local/zabbix#g' /etc/init.d/zabbix_server
useradd -s /sbin/nologin -M zabbix
mkdir /usr/local/zabbix/logs
chown -R zabbix.zabbix /usr/local/zabbix/
/etc/init.d/zabbix_agentd start
/etc/init.d/zabbix_server start
netstat -lntup|grep 1005
tcp 0 0 0.0.0.0:10050 0.0.0.0:* LISTEN 28005/zabbix_agentd
tcp 0 0 0.0.0.0:10051 0.0.0.0:* LISTEN 27916/zabbix_server

#拷贝代码文件到apache公布目录下修改名字为zabbix:

cp -a frontends/php /usr/local/httpd/htdocs/zabbix

sed -i 's#;date.timezone =#date.timezone = Asia/Shanghai#g' /usr/local/php/etc/php.ini
sed -i 's#post_max_size = 8M#post_max_size = 16M#g' /usr/local/php/etc/php.ini
sed -i 's#max_execution_time = 30#max_execution_time = 300#g' /usr/local/php/etc/php.ini
sed -i 's#max_input_time = 60#max_input_time = 300#g' /usr/local/php/etc/php.ini
#清除后边的#号就能够,纠缠了半天。
sed -i 's#;always_populate_raw_post_data = -1#always_populate_raw_post_data = -1#g' /usr/local/php/etc/php.ini
#再度加载apache
/usr/local/httpd/bin/apachectl graceful

终极一步(install)会报错,不或许创立布局文件。
下载配置文件,保存到/usr/local/httpd/htdocs/zabbix/conf/zabbix.conf.php
重复登录就可以:usename:admin password:zabbix

修改汉语:administration>>users>>admin>>language(chinese(zh_CN)) 更新网页就可以。

一网打尽图形分界面中文乱码的难点:
从windows下调节面板->字体->选用一种汉语字库比方“金鼎文”
cd /usr/local/httpd/htdocs/zabbix/fonts
mv DejaVuSans.ttf DejaVuSans.ttf.bak
rz 上传字体文件simkai.ttf到当前目录
ls
DejaVuSans.ttf.bak simkai.ttf
vim ../include/defines.inc.php
在VIM编辑中利用替换效用将DejaVuSans替换到simkai,不增多后缀。
:%s/DejaVuSans/simkai

问题1:
./zabbix_server
./zabbix_server: error while loading shared libraries: libmysqlclient.so.20: cannot open shared object file: No such file or directory
解决:
# find / -name "libmysqlclient.so.20"
/usr/local/mysql-5.7.17/lib/libmysqlclient.so.20
ln -s /usr/local/mysql/lib/libmysqlclient.so.20 /usr/lib
ldconfig

持续更新zabbix监察和控制项目和监督检查告急。。。。

cd /app/weblogic/software/zabbix_setup/httpd-2.2.23/srclib/apr-util
./configure --prefix=/app/weblogic/software/httpd-2.2.23/apr-util --with-apr=/app/weblogic/software/httpd-2.2.23/apr
make
make install

location ~ .php$ {

4、php的设置与布署

#翻开apache和MySQL运行是不是正规

netstat -lntup|egrep '80|3306'
tcp 0 0 0.0.0.0:3306 0.0.0.0:* LISTEN 29119/mysqld
tcp 0 0 :::80 :::* LISTEN 26925/httpd

1)、扩张帮忙(mcrypt、mhash扩充和libevent)
例如想让编写翻译的php援救mcrypt、mhash扩张和libevent,必要设置以下包
libmcrypt
libmcrypt-devel
mhash
mhash-devel
说明:
mcrypt扩充库可以完毕加密解密功能,正是不仅可以将公开加密,也能够密文还原。
mhash是依据离散数学原理的不可逆向的php加密方法强大库,其在默许情形下不展开。
mhash的可以用来创建校验数值,新闻摘要,音信认证码,以至不要原来的著作的入眼新闻保存(如密码)等。

centos源不可能安装libmcrypt-devel,由于版权的缘由并没有自带mcrypt的包
能够行使第三方源,那样还是能够使用yum来安装
安装第三方yum源
wget
sh ./atomic
使用yum命令安装
yum install php-mcrypt libmcrypt libmcrypt-devel mhash mhash-devel

2)、libevent相关包
可以依照须求安装libevent,系统常常会自带libevent,但版本某些低。因而能够升官安装如下四个rpm包。
yum install libevent libevent-devel

说明:
libevent是贰个异步事件公告库文件,其API提供了在某文件呈报上爆发某一件事件时或其超时时施行回调函数的体制
它至关心体贴要用来替换事件驱动的互联网服务器上的event loop机制。
当下来讲, libevent接济/dev/poll、kqueue、select、poll、epoll及Solaris的event ports。

3)、补助xml的连锁包
支持xml的rpm包
bzip2 是三个基于Burrows-Wheeler转变的无损压缩软件可以神速的完结文件数量的减少
libcurl首要职能正是用分歧的说道连接和挂钩不一样的服务器,也正是一对一封装了的sockPHP
libcurl允许你用分裂的情商连接和关系分化的服务器
yum install libxml2 libxml2-devel bzip2-devel libcurl-devel

4)、图形相关的rpm包
平日对应的一无所长提醒:JIS-mapped Japanese font support in GD
yum install libjpeg-devel libpng-devel freetype-devel

#开首yum安装安装插件包,可复制批量设置
wget
sh ./atomic
yum -y install zlib libxml libjpeg freetype libpng gd curl libiconv zlib-devel gd-devel curl-devel openssl-devel libxslt-devel* php-mcrypt libmcrypt libmcrypt-devel mhash mhash-devel libevent libevent-devel libxml2 libxml2-devel bzip2-devel libcurl-devel libjpeg-devel libpng-devel freetype-devel
率先下载源码包至本地目录,下载地点
wget

tar zxvf php-5.6.30.tar.gz
cd php-5.6.30

./configure
--prefix=/usr/local/php
--with-config-file-path=/usr/local/php/etc
--with-apxs2=/usr/local/httpd/bin/apxs
--enable-inline-optimization
--enable-fpm
--with-mysql=/usr/local/mysql
--with-mysqli=/usr/local/mysql/bin/mysql_config
--with-pdo-mysql=/usr/local/mysql
--with-gettext
--enable-mbstring
--with-iconv=/usr/local/libiconv
--with-mcrypt
--with-mhash
--with-openssl
--enable-bcmath
--enable-soap
--with-libxml-dir
--enable-sockets
--with-curl
--with-zlib
--enable-zip
--with-bz2
--with-gd
--with-freetype-dir
--with-jpeg-dir
--with-png-dir

###关于编写翻译配置项的详细描述:

echo $?
make
make install
cp php.ini-production /usr/local/php/etc/php.ini

#检查apache和PHP整合

grep modules/libphp5.so /usr/local/httpd/conf/httpd.conf
修改apache配置文件:
vim /usr/local/httpd/conf/httpd.conf
ServerName 127.0.0.1:80
#增加:
AddType application/x-httpd-php .php
AddType application/x-httpd-php-source .phps
#修改客商:
User www
Group www
#修改主页文件:
<IfModule dir_module>
DirectoryIndex index.php index.html
</IfModule>

/usr/local/httpd/bin/apachectl -t
Syntax OK

vim /usr/local/apache/htdocs/index.php
<?php
phpinfo();
?>
#双重加载apache配置文件
/usr/local/apache/bin/apachectl graceful

测量试验访问不奇怪!

#编辑测量试验代码,测量检验数据库链接是不是平常
vim /usr/local/apache/htdocs/mysql-test.php
<?php
//$link_id=mysql_connect('主机名','用户','密码');
$link_id=mysql_connect('localhost','root','123.com') or mysql_error();
if($link_id){
echo "mysql is ok!n";
}else{
echo "mysql_error()";
}
?>

#到此LAMP安装到位!


zabbix3.4源码安装步骤
1.安装境况:
设置机器:22.224.9.227 以下简称监察和控制机;
操作系统音信:内核版本:
Linux version 2.6.18-194.1.AXS3 (packager@asianux.com) (gcc version 4.1.2 20080704 (Asianux 3.0 4.1.2-48)) #1 SMP Fri May 7 10:03:53 CST 2010
批发版本:
Red Flag Asianux Server 3 for x86_64 (Quartet SP3)
出于考虑到mysql要存大量的数据,所以安装的目录要相当大,故思虑安装在weblogic/weblogic家目录上边
由于官方推荐服务端和客商端必得在差别的客户上边运维,故思量将server端安装在monitor/monitor上面,全部的agent运转在利用客户上边
2.mysql5.6设置:weblogic/weblogic客户下边,安装目录:/app/weblogic/software/mysql5.6
直白选用原本mysql,拷贝修改相应的配置文件就可以
nohup /app/weblogic/software/mysql5.6/mysql/bin/mysqld --defaults-file=/app/weblogic/software/mysql5.6/mysql/conf/my.cnf --basedir=/app/weblogic/software/mysql5.6/mysql --datadir=/app/weblogic/software/mysql5.6/data --plugin-dir=/app/weblogic/software/mysql5.6/mysql/lib/plugin --log-error=/app/weblogic/software/mysql5.6/data/monap4.err --pid-file=/app/weblogic/software/mysql5.6/monap4.pid --socket=/app/weblogic/software/mysql5.6/mysql.sock --port=3306 --explicit_defaults_for_timestamp &
/app/weblogic/software/mysql5.6/mysql/bin/mysql -uroot -p --socket=/app/weblogic/software/mysql5.6/mysql.sock
3.安裝http:
mkdir -p /app/weblogic/software/httpd-2.2.23
mkdir -p /app/weblogic/software/httpd-2.2.23/apr
mkdir -p /app/weblogic/software/httpd-2.2.23/apr-util
cd /app/weblogic/software/zabbix_setup
tar -xvf httpd-2.2.23.tar.gz
cd /app/weblogic/software/zabbix_setup/httpd-2.2.23/srclib/apr
./configure --prefix=/app/weblogic/software/httpd-2.2.23/apr
make
make install

/opt/mysql/lib/libperconaserverclient.so.20

3、mysql安装与布置,此处是二进制安装

useradd -s /sbin/nologin -M mysql
wget
tar -zxvf mysql-5.7.17-linux-glibc2.5-x86_64.tar.gz
mv mysql-5.7.17-linux-glibc2.5-x86_64 /usr/local/mysql-5.7.17
ln -s /usr/local/mysql-5.7.17 /usr/local/mysql
#创制数据库文件目录
mkdir -p /data/mysql
chown -R mysql.mysql /data/
#配备运营脚本文件,并参预种类服务,自运转
cp /usr/local/mysql/support-files/mysql.server /etc/init.d/mysqld
chmod x /etc/init.d/mysqld
chkconfig --add mysqld
chkconfig mysqld on
#布置mysql配置文件

上海时时乐走势图 5上海时时乐走势图 6

cat > /etc/my.cnf << EOF
[client]
port = 3306
socket = /tmp/mysql.sock
default-character-set = utf8
[mysqld]
port = 3306
socket = /tmp/mysql.sock
basedir = /usr/local/mysql
datadir = /data/mysql
pid-file = /data/mysql/mysql.pid
user = mysql
bind-address = 0.0.0.0
server-id = 1
init-connect = 'SET NAMES utf8'
character-set-server = utf8
#skip-name-resolve
#skip-networking
back_log = 300
max_connections = 1000
max_connect_errors = 6000
open_files_limit = 65535
table_open_cache = 128
max_allowed_packet = 4M
binlog_cache_size = 1M
max_heap_table_size = 8M
tmp_table_size = 16M
read_buffer_size = 2M
read_rnd_buffer_size = 8M
sort_buffer_size = 8M
join_buffer_size = 8M
key_buffer_size = 4M
thread_cache_size = 8
query_cache_type = 1
query_cache_size = 8M
query_cache_limit = 2M
ft_min_word_len = 4
log_bin = mysql-bin
binlog_format = mixed
expire_logs_days = 30
log_error = /data/mysql/mysql-error.log
slow_query_log = 1
long_query_time = 1
slow_query_log_file = /data/mysql/mysql-slow.log
performance_schema = 0
explicit_defaults_for_timestamp
#lower_case_table_names = 1
skip-external-locking
default_storage_engine = InnoDB
#default-storage-engine = MyISAM
innodb_file_per_table = 1
innodb_open_files = 500
innodb_buffer_pool_size = 64M
innodb_write_io_threads = 4
innodb_read_io_threads = 4
innodb_thread_concurrency = 0
innodb_purge_threads = 1
innodb_flush_log_at_trx_commit = 2
innodb_log_buffer_size = 2M
innodb_log_file_size = 32M
innodb_log_files_in_group = 3
innodb_max_dirty_pages_pct = 90
innodb_lock_wait_timeout = 120
bulk_insert_buffer_size = 8M
myisam_sort_buffer_size = 8M
myisam_max_sort_file_size = 10G
myisam_repair_threads = 1
interactive_timeout = 28800
wait_timeout = 28800
[mysqldump]
quick
max_allowed_packet = 16M
[myisamchk]
key_buffer_size = 8M
sort_buffer_size = 8M
read_buffer = 4M
write_buffer = 4M
EOF

View Code

#开首化数据库:
/usr/local/mysql/bin/mysqld --initialize-insecure --user=mysql --basedir=/usr/local/mysql --datadir=/data/mysql
#协作景况变量
echo "export PATH=$PATH:/usr/local/mysql/bin" >>/etc/profile
. /etc/profile

#启动MySQL服务
/etc/init.d/mysqld start
Starting MySQL.. SUCCESS!
netstat -lntup|grep 3306
tcp 0 0 0.0.0.0:3306 0.0.0.0:* LISTEN 28150/mysqld
ps -ef |grep mysql
root 28284 1 2 07:26 pts/0 00:00:00 /bin/sh /usr/local/mysql/bin/mysqld_safe --datadir=/data/mysql --pid-file=/data/mysql/mysql.pid
mysql 29119 28284 5 07:26 pts/0 00:00:00 /usr/local/mysql/bin/mysqld --basedir=/usr/local/mysql --datadir=/data/mysql --plugin-dir=/usr/local/mysql/lib/plugin --user=mysql --log-error=/data/mysql/mysql-error.log --open-files-limit=65535 --pid-file=/data/mysql/mysql.pid --socket=/tmp/mysql.sock --port=3306

#修改root密码

mysql -uroot -e "Set password=password(‘123.com’);"
mysql -uroot -p123.com -e "use mysql;update user set authentication_string=password('456.com') where user='root';"
update mysql.user set authentication_string=password("123.com") where user='root';

cd /app/weblogic/software/zabbix_setup/httpd-2.2.23
./configure --prefix=/app/weblogic/software/httpd-2.2.23 --with-apr=/app/weblogic/software/httpd-2.2.23/apr --with-apr-util=/app/weblogic/software/httpd-2.2.23/apr-util --enable-module=shared
make
make install

            root  /data/zabbix;

#LAMP
#httpd-2.2.32
#mysql-5.7.17-linux-glibc2.5-x86_64 二进制压缩版
#php5.3.27

./apachectl start

5.zabbix server端安装:笔者要好本机安装须求安装MySQL-dev
cd /app/weblogic/software/zabbix_setup/zabbix-3.4.10
./configure --prefix=/app/weblogic/software/zabbix3.4 --enable-server --enable-java --with-mysql --enable-ipv6 --with-net-snmp --with-libcurl --with-libxml2

sed -i "s/# UnsafeUserParameters=0/UnsafeUserParameters=1/g" /opt/zabbix_agent/etc/zabbix_agentd.conf

1、系统情状优化检查

sed -i 's/SELINUX=enabled/SELINUX=disabled/g' /etc/selinux/config
getenforce 0
/etc/init.d/iptables stop
cat /etc/redhat-release
CentOS release 6.7 (Final)
uname -r
2.6.32-431.el6.x86_64
uname -m
x86_64

8.分界面计划:
Admin/zabbix
语言采取帮忙汉语
9.agent安装:
cd /app/weblogic/zabbix-3.4.10
./configure --prefix=/home/monitor/zabbix_agent --enable-agent
make
make install
/home/monitor/software/httpd-2.2.23/bin/zabbix_agent/sbin
./zabbix_agentd -c ../etc/zabbix_agentd.conf
配置:
/home/monitor/zabbix_agent/log
PidFile=/home/monitor/zabbix_agent/zabbix_agentd.pid
LogFile=/home/monitor/zabbix_agent/log/zabbix_agentd.log
PidFile=/home/monitor/zabbix-agent/zabbix_agentd.pid
LogFile= /home/monitor/zabbix-agent/logs/zabbix_agentd.log
Hostname=JacK2
Include=/home/monitor/zabbix-agent/etc/zabbix_agentd.conf.d/
Include=/home/monitor/zabbix-agent/etc/zabbix_agentd.conf.d/*.conf

测量检验命令 zabbix_get -s 22.224.9.228 10050 -k "system.cpu.load[all,avg1]"

vim /var/lib/zabbix/percona/scripts/ss_get_mysql_stats.php

cd /app/weblogic/software/zabbix_setup/mcrypt-2.6.8
export LD_LIBRARY_PATH=/app/weblogic/software/php-5.6.33/libmcrypt/lib:/app/weblogic/software/php-5.6.33/mhash/lib:/app/weblogic/software/php-5.6.33/libiconv/lib:/usr/local/lib
export LDFLAGS="-L/app/weblogic/software/php-5.6.33/mhash/lib/ -I/app/weblogic/software/php-5.6.33/mhash/include/"
export CFLAGS="-I/app/weblogic/software/php-5.6.33/mhash/include/"
./configure --prefix=/app/weblogic/software/php-5.6.33/mcrypt --with-libiconv-prefix=/app/weblogic/software/php-5.6.33/libiconv --with-libmcrypt-prefix=/app/weblogic/software/php-5.6.33/libmcrypt

useradd  -g zabbix zabbix -s /sbin/nologin

cd /app/weblogic/software/httpd-2.2.23/bin
vim ../htdocs/index.php
<?php
phpinfo();
?>

DBPort=3306

cd /app/weblogic/software/zabbix_setup/mhash-0.9.9.9
./configure --prefix=/app/weblogic/software/php-5.6.33/mhash
make
make install
cd /app/weblogic/software/zabbix_setup/libmcrypt-2.5.7
./configure --prefix=/app/weblogic/software/php-5.6.33/libmcrypt
make
make install

mysql_socket = '/tmp/mysql.sock'

7.配置php:
cd /app/weblogic/software/httpd-2.2.23/htdocs
mkdir zabbix
cd /app/weblogic/software/zabbix_setup/zabbix-3.4.10/frontends/php
cp -r * /app/weblogic/software/httpd-2.2.23/htdocs/zabbix/
cd /app/weblogic/software/php-5.6.33/lib
vim php.ini
max_execution_time = 300
max_input_time = 300
session.auto_start = 0
mbstring.func_overload = 0
always_populate_raw_post_data = -1
date.timezone =Asia/Shanghai

yum install -y net-snmp-devel libxml2-devel libcurl-devel libevent-devel php php-mysql

make
make isntall
6.布署server端,首要布局日志路线和数据库相关
树立有关的目录:
mkdir /app/weblogic/software/zabbix3.4/log/
mkdir /app/weblogic/software/zabbix3.4/SocketDir
mkdir /app/weblogic/software/zabbix3.4/SNMPTrapperFile/
mkdir /app/weblogic/software/zabbix3.4/alertscripts
mkdir /app/weblogic/software/zabbix3.4/externalscripts
配备文件:
LogFile=/app/weblogic/software/zabbix3.4/log/zabbix_server.log
LogFileSize=0
PidFile=/app/weblogic/software/zabbix3.4/zabbix_server.pid
SocketDir=/app/weblogic/software/zabbix3.4/SocketDir
DBHost=192.168.99.2
DBPort=3306
DBName=zabbix
DBUser=root
DBPassword=jack
SNMPTrapperFile=/app/weblogic/software/zabbix3.4/SNMPTrapperFile/zabbix_traps.tmp
Timeout=4
AlertScriptsPath=/app/weblogic/software/zabbix3.4/alertscripts
ExternalScripts=/app/weblogic/software/zabbix3.4/externalscripts
LogSlowQueries=3000

vim /opt/zabbix/etc/zabbix_server.conf

2.安装php

yum install gcc make gd-devel libjpeg-devel libpng-devel libxml2-devel bzip2-devel libcurl-devel  -y

chown zabbix.zabbix /tmp/localhost-mysql_cacti_stats.txt

/opt/zabbix_agent/sbin/zabbix_agentd -c /opt/zabbix_agent/etc/zabbix_agentd.conf

sed -i "s/max_input_time = 60/max_input_time = 300/g" /opt/php/etc/php.ini

            fastcgi_pass  127.0.0.1:9000;

DBName=zabbix

GRANT SELECT, PROCESS, SUPER, REPLICATION CLIENT ON *.* TO 'zabbix'@'localhost' identified by'zabbix';

cp /opt/php/etc/php-fpm.conf.default /opt/php/etc/php-fpm.conf

sed -i "s/;date.timezone =/date.timezone = Asia/Shanghai/g" /opt/php/etc/php.ini

vim /opt/www/nginx/conf/nginx.conf

server {

3.整合php与nginx

yum -y install gcc gcc-c make pcre-devel openssl openssl-devel

mysql_pass = 'zabbix'

ldconfig

groupadd nginx

echo "/opt/mysql/lib" >> /etc/ld.so.conf

cd /opt/zabbix-3.4.4

mysql_user = 'zabbix'

            root          html;

/usr/bin/php -q /var/lib/zabbix/percona/scripts/ss_get_mysql_stats.php --host localhost --items gg

vim /opt/zabbix_agent/etc/zabbix_agentd.conf

tar xvf php-5.6.30.tar.gz

useradd  -g zabbix zabbix -s /sbin/nologin

tar xvf zabbix-3.4.4.tar.gz

1.安装tengine-2.1.2

groupadd zabbix

        server_name  10.12.61.197;

        listen      80;

location / {

./configure --prefix=/opt/zabbix_agent --enable-agent

cp userparameter_percona_mysql.conf  /opt/zabbix_agent/etc/zabbix_agentd.conf.d/

flush privileges;

make install

[mysql]

cp /opt/php-5.6.30/php.ini-production  /opt/php/etc/php.ini

vim ~zabbix/.my.cnf

useradd  -g nginx nginx -s /sbin/nologin

./configure --prefix=/opt/zabbix --enable-server --enable-agent --with-mysql --with-net-snmp --with-libcurl --with-libxml2

sed -i "s/ServerActive=127.0.0.1/ServerActive=10.12.61.190/g" /opt/zabbix_agent/etc/zabbix_agentd.conf

sed -i "s/Server=127.0.0.1/Server=10.12.61.190/g" /opt/zabbix_agent/etc/zabbix_agentd.conf

sed -i "s/max_execution_time = 30/max_execution_time = 300/g" /opt/php/etc/php.ini

zabbix-agent安装

cd tengine-2.1.2

sed -i "s/# HostnameItem=system.hostname/HostnameItem=system.hostname/g" /opt/zabbix_agent/etc/zabbix_agentd.conf

/opt/php/sbin/php-fpm

Include=/opt/zabbix_agent/etc/zabbix_agentd.conf.d/

tar  xf tengine-2.1.2.tar.gz

socket=/tmp/mysql.sock

sed -i "s/post_max_size = 8M/post_max_size = 16M/g" /opt/php/etc/php.ini

user=zabbix

password=zabbix

/opt/zabbix/sbin/zabbix_server -c  /opt/zabbix/etc/zabbix_server.conf

./configure --prefix=/opt/php --with-config-file-path=/opt/php/etc --with-bz2 --with-curl --enable-ftp --enable-sockets --disable-ipv6 --with-gd --with-jpeg-dir=/opt/php --with-png-dir=/opt/php --with-freetype-dir=/opt/php --enable-gd-native-ttf --with-iconv-dir=/opt/php  --enable-calendar --with-gettext --with-libxml-dir=/opt/php --with-zlib --with-pdo-mysql=mysqlnd --with-mysqli=mysqlnd --with-mysql=mysqlnd --enable-dom --enable-xml --enable-fpm --with-libdir=lib64  --enable-bcmath --enable-mbstring

grant all privileges on zabbix.* to zabbix@localhost identified by 'zabbix';

sh /var/lib/zabbix/percona/scripts/get_mysql_stats_wrapper.sh running-slave

            fastcgi_param  SCRIPT_FILENAME  /data/zabbix$fastcgi_script_name;

yum localinstall  -y percona-zabbix-templates-1.1.7-2.noarch.rpm

sed -i "s/;always_populate_raw_post_data = -1/always_populate_raw_post_data = -1/g" /opt/php/etc/php.ini

            include        fastcgi_params;

find / -name libperconaserverclient.so.20

groupadd zabbix

            fastcgi_index  index.php;

source /opt/zabbix-3.4.4/database/mysql/schema.sql;

DBUser=zabbix

make && make install

DBPassword=zabbix

echo "/opt/mysql/lib/libperconaserverclient.so.20" >> /etc/ld.so.conf

安装zabbix

make && make install

        }

./configure --prefix=/opt/www/nginx --sbin-path=/usr/sbin/nginx --conf-path=/opt/www/nginx/conf/nginx.conf --error-log-path=/data/ic/nginx/error_log/error.log --http-log-path=/data/ic/nginx/access_log/access.log --pid-path=/var/run/nginx/nginx.pid  --lock-path=/var/lock/nginx.lock --user=nginx --group=nginx --with-http_ssl_module --with-http_stub_status_module --with-http_gzip_static_module --with-http_realip_module --with-http_v2_module --with-http_sub_module --with-pcre

source /opt/zabbix-3.4.4/database/mysql/images.sql;

create database zabbix default charset utf8;

yum install -y net-snmp-devel libxml2-devel libcurl-devel libevent-devel

cd /opt/

            index  index.html index.htm index.php;

本文由上海时时乐走势图发布于上海时时乐走势图,转载请注明出处:zabbix3.4源码安装步骤【上海时时乐走势图】

您可能还会对下面的文章感兴趣: